Package org.apache.storm.daemon

# Class Task

java.lang.Object
org.apache.storm.daemon.Task

public class Task extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Task(Executor executor, Integer taskId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComponentId()`
  `List<Integer>`
  `getOutgoingTasks(Integer outTaskId, String stream, List<Object> values)`
  `List<Integer>`
  `getOutgoingTasks(String stream, List<Object> values)`
  `Integer`
  `getTaskId()`
  `TaskMetrics`
  `getTaskMetrics()`
  `Object`
  `getTaskObject()`
  `Tuple`
  `getTuple(String stream, List values)`
  `TopologyContext`
  `getUserContext()`
  `void`
  `sendToEventLogger(Executor executor, List values, String componentId, Object messageId, Random random, Queue<AddressedTuple> overflow)`
  Send sampled data to the eventlogger if the global or component level debug flag is set (via nimbus api).
  `void`
  `sendUnanchored(String stream, List<Object> values, ExecutorTransfer transfer, Queue<AddressedTuple> pendingEmits)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Task

    public Task(Executor executor, Integer taskId) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### getOutgoingTasks

    public List<Integer> getOutgoingTasks(Integer outTaskId, String stream, List<Object> values)

  - ### getOutgoingTasks

    public List<Integer> getOutgoingTasks(String stream, List<Object> values)

  - ### getTuple

    public Tuple getTuple(String stream, List values)

  - ### getTaskId

    public Integer getTaskId()

  - ### getComponentId

    public String getComponentId()

  - ### getUserContext

    public TopologyContext getUserContext()

  - ### getTaskObject

    public Object getTaskObject()

  - ### getTaskMetrics

    public TaskMetrics getTaskMetrics()

  - ### sendUnanchored

    public void sendUnanchored(String stream, List<Object> values, ExecutorTransfer transfer, Queue<AddressedTuple> pendingEmits)

  - ### sendToEventLogger

    public void sendToEventLogger(Executor executor, List values, String componentId, Object messageId, Random random, Queue<AddressedTuple> overflow)
    Send sampled data to the eventlogger if the global or component level debug flag is set (via nimbus api).

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`